<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/icon_bgm"
    tools:context=".ui.verify.DoubleVerifyActivity">

    <RelativeLayout
        android:id="@+id/title_RL"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_marginTop="10dp">

        <ImageView
            android:id="@+id/image"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_centerVertical="true"
            android:layout_marginLeft="20dp" />

        <TextView
            android:id="@+id/deptName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="10dp"
            android:layout_toRightOf="@+id/image"
            android:text="实验室名称-房间号"
            android:textColor="@color/white"
            android:textSize="22sp" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_centerVertical="true"
            android:layout_marginTop="2dp">

            <TextView
                android:id="@+id/tvTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_centerVertical="true"
                android:text="化学品智能管理"
                android:textColor="@color/white"
                android:textSize="24sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/nowTime"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="6dp"
                android:layout_toRightOf="@+id/tvTitle"
                android:textColor="@color/white" />

        </LinearLayout>


        <RelativeLayout
            android:id="@+id/loggedIn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginRight="18dp"
            android:gravity="center_vertical"
            android:visibility="gone">

            <ImageView
                android:id="@+id/imageName"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_centerVertical="true"
                android:layout_marginRight="6dp" />

            <TextView
                android:id="@+id/tvName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="6dp"
                android:layout_toRightOf="@+id/imageName"
                android:text="李XX"
                android:textColor="@color/white" />

            <ImageView
                android:id="@+id/imgOut"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="6dp"
                android:layout_toRightOf="@+id/tvName"
                android:background="@mipmap/cshrk_dl_tc" />

            <TextView
                android:id="@+id/tvOutLogin"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginRight="10dp"
                android:layout_toRightOf="@+id/imgOut"
                android:text="退出"
                android:textColor="@color/white"
                android:textSize="16sp" />
        </RelativeLayout>
    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/title_RL"
        android:layout_marginHorizontal="30dp"
        android:layout_marginTop="15dp"
        android:layout_marginBottom="79dp"
        android:background="@drawable/bg_bei_jing"
        android:orientation="vertical">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginVertical="10dp"
            android:text="双 人 认 证"
            android:textColor="@color/white"
            android:textSize="16sp"
            android:textStyle="bold" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center_horizontal"
                android:layout_marginHorizontal="15px"
                android:layout_weight="1">

                <TextView
                    android:id="@+id/hint_1_IV"
                    android:layout_width="match_parent"
                    android:layout_height="45dp"
                    android:background="@drawable/bg_ren_lian"
                    android:drawablePadding="10dp"
                    android:gravity="center_vertical"
                    android:paddingStart="10dp"
                    android:text="请第一位人脸验证"
                    android:textColor="@color/white"
                    android:textSize="18sp"
                    app:drawableStartCompat="@mipmap/icon_smrz_sfrz"
                    tools:ignore="RtlSymmetry" />

                <RelativeLayout
                    android:id="@+id/control_1_RL"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:layout_alignParentBottom="true"
                    android:layout_marginVertical="5dp"
                    android:background="@mipmap/icon_rlrz_xx">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:drawablePadding="10dp"
                        android:text="请正对屏幕并使脸位于取景框内\n请保持光线充足，避免光照过强或过弱"
                        android:textColor="@color/black"
                        android:textSize="12sp"
                        app:drawableStartCompat="@mipmap/icon_sfsb_tx" />


                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/scan_1_TV"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@mipmap/icon_sfsb_wxsm" />

                        <TextView
                            android:id="@+id/card_1_TV"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@mipmap/icon_sfsb_xyk" />

                        <TextView
                            android:id="@+id/face_1_TV"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@mipmap/icon_sfsb_rlsb"
                            android:visibility="gone" />

                    </LinearLayout>
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_above="@id/control_1_RL"
                    android:layout_below="@id/hint_1_IV"
                    android:background="@drawable/bg_face_nt">

                    <FrameLayout
                        android:id="@+id/fragment_1_FL"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@mipmap/icon_face_two">

                    </FrameLayout>
                </RelativeLayout>

            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center_horizontal"
                android:layout_marginHorizontal="15px"
                android:layout_weight="1">

                <TextView
                    android:id="@+id/hint_2_IV"
                    android:layout_width="match_parent"
                    android:layout_height="45dp"
                    android:background="@drawable/bg_ren_lian"
                    android:drawablePadding="10dp"
                    android:gravity="center_vertical"
                    android:paddingStart="10dp"
                    android:text="请第二位人脸验证"
                    android:textColor="@color/white"
                    android:textSize="18sp"
                    app:drawableStartCompat="@mipmap/icon_smrz_sfrz"
                    tools:ignore="RtlSymmetry" />

                <RelativeLayout
                    android:id="@+id/control_2_RL"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:layout_alignParentBottom="true"
                    android:layout_marginVertical="5dp"
                    android:background="@mipmap/icon_rlrz_xx">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:drawablePadding="10dp"
                        android:text="请正对屏幕并使脸位于取景框内\n请保持光线充足，避免光照过强或过弱"
                        android:textColor="@color/black"
                        android:textSize="12sp"
                        app:drawableStartCompat="@mipmap/icon_sfsb_tx" />


                    <LinearLayout
                        android:layout_width="200dp"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/scan_2_TV"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@mipmap/icon_sfsb_wxsm" />

                        <TextView
                            android:id="@+id/card_2_TV"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@mipmap/icon_sfsb_xyk" />

                        <TextView
                            android:id="@+id/face_2_TV"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@mipmap/icon_sfsb_rlsb"
                            android:visibility="gone" />

                    </LinearLayout>
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_above="@id/control_2_RL"
                    android:layout_below="@id/hint_2_IV"
                    android:background="@drawable/bg_face_nt">

                    <FrameLayout
                        android:id="@+id/fragment_2_FL"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@mipmap/icon_face_two">

                    </FrameLayout>
                </RelativeLayout>
            </RelativeLayout>
        </LinearLayout>

    </LinearLayout>

    <Button
        android:id="@+id/tvReturn"
        android:layout_width="85dp"
        android:layout_height="30dp"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="20dp"
        android:background="@drawable/bg_retrun"
        android:text="返回180s"
        android:textColor="@color/white"
        android:textSize="12sp" />
</RelativeLayout>